﻿@{
    ViewBag.Title = "Dashboard";
    ViewBag.IsRegistrantReport = true;

}

@section Styles{
    <link href="~/Content/Student/Dashboard/Dashboard.css" rel="stylesheet" />
}

<div class="container">
    <div class="title-page">
        <h1>
            Lottery
        </h1>

        <div class="clearfix"></div>
    </div>
    <div class="content-result">
        <div class="parent-grid-custom" id="WaitListGrid">
        </div>
        <script type="text/x-kendo-template" id="template">

        </script>
        <div id="EmptyGrid" class="success" style="display:none">No data found</div>

    </div>

</div>

<script src="~/Scripts/Libraries/KendoUI/kendo.all.min.js"></script>

<script>
    var DeleteOptions = {
        message: "Are you sure you want to remove this participant from the waitlist?",
        title: 'Remove from waitlist',
        //size: eModal.size.xl,
        subtitle: 'smaller text header',
        label: "Yes"   // use the positive label as key

    };

    function DeleteWaitlist(Id) {

        eModal.confirm(DeleteOptions).then(callback, function () { return false; });

        function callback() {
            $.ajax({
                type: "POST",
                url: "/Registrant/DeleteWaitlist",
                cache: false,
                data: { Id: Id },
                success: function (data) {

                    toastr.success("You have been successfully removed from the waitlist.");
                    var grid = $("#WaitListGrid").data("kendoGrid");
                    grid.dataSource.read();

                },
                error: function (req) {
                    toastr.error("Error in your Waitlist remove.");
                }
            });
        };

        return false;
    }

    function kendoEmptyGridFix() {

        $("[data-role='grid']").each(function () {

            $(this).data("kendoGrid").bind('dataBound', function (e) {
                var colCount = this.table.find("tHead tr th").length;
                if ($(this)[0].dataSource._view.length == 0) {
                    var msg = ($(this)[0].dataSource.options.emptyMsg == undefined ? "" : $(this)[0].dataSource.options.emptyMsg);
                    this.table.find('tbody').html('<tr class="kendo-data-row"><td colspan="' + colCount + '" style="text-align:center; padding-top:20px; padding-bottom:20px;"><div class="k-empty-grid-row">' + msg + '</div></td></tr>');

                    $("[data-role='grid']").find('.k-grid-header-wrap').hide();
                    $("#WaitListGrid").hide();
                    $("#EmptyGrid").show();

                };
            });
        });
    }

    $("#WaitListGrid").kendoGrid({
        dataSource: {
            type: "json",
            transport: {
                read: {
                    url: "GetWaitList",
                    dataType: "json"
                },
                parameterMap: function (data, type) {
                    if (type === "read") {
                        return {
                            term: '',
                            skip: data.skip,
                            take: data.take,
                            page: data.page,
                            pageSize: data.pageSize,
                            sort: null
                        }
                    }
                }
            },
            requestStart: function () {

            },
            requestEnd: function () {

            },
            schema: {
                total: "TotalCount",
                data: "DataSource"
            },
            resizable: true,
            sort: {
                field: "Id",
                dir: "Asc"
            }
        },

        groupable: false,
        sortable: true,
        columnMenu: true,

        scrollable: {
            virtual: true
        },

        columns: [{
            field: "Date",
            title: "Date",
            width: "200px",

        },
        {
            field: "ProgramName",
            title: "Program Name",
            width: "200px",

        },
            {
                field: "Participant",
                title: "Participant",
                width: "200px",

            },
        {
            field: "Grade",
            title: "Grade",
            width: "100px",

        },


       {
           title: "Actions",
           width: "50px",
           headerTemplate: "<span class='actions-title'>Actions</span>",
           template: "#if(true){#  <button class='btn dropdown-toggle'  data-toggle='dropdown' style='background-color: rgba(255,255,255,0);'>...</button> \
                            <ul class='dropdown-menu' id='ActionWaitlist'>\
                             <li onclick='DeleteWaitlist(#=Id#)' id='deleteCard' >\
                            <a><span class='k-link' >Remove</span></a>\
                                   </li>\
                          <li  id='viewProgram' >\
                            <a  href='#=EventDomain#'> <span class='k-link'>View program</span></a>\
                                   </li>\
                                     </ul> #}#"
       }
        ],

    });


    $(document).ready(function () {

        kendoEmptyGridFix();

    });


</script>

